summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTiziano Mueller <dev-zero@gentoo.org>2008-08-25 23:52:30 +0200
committerTiziano Mueller <dev-zero@gentoo.org>2008-08-25 23:52:30 +0200
commitffae5a23a171b0abe8b962eea9a91aa1d299d709 (patch)
treee7e78920ccc902d4a5b4d90902c84c1c8fd62f09 /dev-cpp
parentUpdated bubblemon ebuild (bug #229065) (diff)
downloaddev-zero-ffae5a23a171b0abe8b962eea9a91aa1d299d709.tar.gz
dev-zero-ffae5a23a171b0abe8b962eea9a91aa1d299d709.tar.bz2
dev-zero-ffae5a23a171b0abe8b962eea9a91aa1d299d709.zip
Removed packages now in the tree
Diffstat (limited to 'dev-cpp')
-rw-r--r--dev-cpp/libcult/Manifest2
-rw-r--r--dev-cpp/libcult/libcult-1.4.2.ebuild8
-rw-r--r--dev-cpp/xsd/Manifest3
-rw-r--r--dev-cpp/xsd/xsd-3.2.0_beta1.ebuild22
-rw-r--r--dev-cpp/xsd/xsd-3.2.0b1.ebuild97
5 files changed, 20 insertions, 112 deletions
diff --git a/dev-cpp/libcult/Manifest b/dev-cpp/libcult/Manifest
index 0c3060a..de0e387 100644
--- a/dev-cpp/libcult/Manifest
+++ b/dev-cpp/libcult/Manifest
@@ -1,2 +1,2 @@
DIST libcult-1.4.2.tar.bz2 50398 RMD160 0df0896c3a29fbf5fc4e873ddc5d3b33a9fc4187 SHA1 7193f08a98e12b1d931e2af89dcc662510d57ec2 SHA256 d82f8f611db0521f7eac4ff0342d94d26c2d39616793d4040960f9c38fde1f95
-EBUILD libcult-1.4.2.ebuild 1646 RMD160 62b09d217cd77462ee29d27a117360203a5d4517 SHA1 a0e10f8b9c8eac7a9a536f95a06eff70d484f4a4 SHA256 371ef3f9c4d7ff1cb0f8ef50b015912b5219bf33b313fbb3d02722183f438bc8
+EBUILD libcult-1.4.2.ebuild 1545 RMD160 75403aab2eb826481bb693f24d1133e7e785da63 SHA1 a50ff88c4a1158612a555de6c422e2de4034553b SHA256 df40758b9df4067f89ed1df0aede895c9cebbe6884dadd612f498a5ecc93a139
diff --git a/dev-cpp/libcult/libcult-1.4.2.ebuild b/dev-cpp/libcult/libcult-1.4.2.ebuild
index 60f42f5..f4945a7 100644
--- a/dev-cpp/libcult/libcult-1.4.2.ebuild
+++ b/dev-cpp/libcult/libcult-1.4.2.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-inherit eutils toolchain-funcs
+inherit toolchain-funcs
DESCRIPTION="A collection of C++ libraries"
HOMEPAGE="http://kolpackov.net/projects/libcult/"
@@ -15,12 +15,6 @@ IUSE="examples"
DEPEND="dev-util/build"
RDEPEND=""
-src_unpack() {
- unpack ${A}
- cd "${S}"
-# epatch "${FILESDIR}/${PV}-missing_includes.patch"
-}
-
src_compile() {
mkdir -p build/{c,cxx/gnu}
diff --git a/dev-cpp/xsd/Manifest b/dev-cpp/xsd/Manifest
index ee6cafd..1a8fd15 100644
--- a/dev-cpp/xsd/Manifest
+++ b/dev-cpp/xsd/Manifest
@@ -1,6 +1,5 @@
-AUX 3.1.0-disable_examples.patch 802 RMD160 4955cb3989d96d8a71b9525becb26e6a48a6b143 SHA1 8485fbfe3570e81f14356d0f492d6ea850cc8cc8 SHA256 7415542f40965e53c7a11bb28fc06248a37f4897b0ed5e646b9ea247e3f6195e
AUX 3.1.0-disable_examples_and_tests.patch 973 RMD160 55e355a6b5f54114af03bb7b64628317e9d726f8 SHA1 628e5d0700431ffd2e716c44cac3efb2902f0f1d SHA256 5c4ed9b0d9a5a5c2fc2f695f245c6d7a8e6b91ade58871cf1e1bd0820ef67edf
DIST xsd-3.1.0.tar.bz2 815538 RMD160 2e3c73c4852f1177461fae3a16b7930703d67350 SHA1 463d69ae6304fb54ac5b4dac51d99fd4031b93cf SHA256 4898595c5c91bf244bf8e17facd671d19d2be549cf3516e623596542b39704c0
DIST xsd-3.2.0.b1.tar.bz2 880456 RMD160 1fe235fe21c6ed860736d3546e64c422df4567ee SHA1 eca12ad79bf3f0de1f0eb3795e3fb9990d79b8b1 SHA256 96308f3a46cea974f4cf1d1ada417692c57744a00fa0e1822f55fc62178726e7
EBUILD xsd-3.1.0.ebuild 2369 RMD160 7266bf6e70fc8dffd5ba5c2e1787f4b40391637d SHA1 6e9b20e892299840a5c989ba7d07a9debaff6348 SHA256 118849171acc4d9b2d9805a018fc7e1aab3fec25d9560bd9da0d85cd2b7bc1d9
-EBUILD xsd-3.2.0_beta1.ebuild 2413 RMD160 7ae90010a03b7469aa5a6360be96710db6dd2bc5 SHA1 a8f14c10129e68b89bd9da3fa19e5c90daed21c4 SHA256 cf94c3731eef5a2498fee3a95308e67229b81f4b112a16cd5b8d06a71378bb40
+EBUILD xsd-3.2.0_beta1.ebuild 2713 RMD160 b1cccb883db36860d7f8e48bd19f21585248fbbb SHA1 0a9362d8bb5507c693fddfa26ba8b16c16f93edf SHA256 f7e85cfbf1be37db8fb47cd80272c893d13fcb46c66d88fc831a7c224497388d
diff --git a/dev-cpp/xsd/xsd-3.2.0_beta1.ebuild b/dev-cpp/xsd/xsd-3.2.0_beta1.ebuild
index 4cab1ef..9ad9167 100644
--- a/dev-cpp/xsd/xsd-3.2.0_beta1.ebuild
+++ b/dev-cpp/xsd/xsd-3.2.0_beta1.ebuild
@@ -12,13 +12,15 @@ SRC_URI="http://www.codesynthesis.com/download/${PN}/${PV%.+}/${MY_P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64"
-IUSE="examples"
+IUSE="ace dbxml examples"
RDEPEND=">=dev-libs/xerces-c-2.6
dev-libs/boost
>=dev-cpp/libcult-1.4.2
>=dev-cpp/libxsd-frontend-1.15.0
- >=dev-cpp/libbackend-elements-1.6.1"
+ >=dev-cpp/libbackend-elements-1.6.1
+ ace? ( dev-libs/ace )
+ dbxml? ( dev-libs/dbxml )"
DEPEND="${RDEPEND}
dev-util/build"
@@ -34,7 +36,15 @@ src_unpack() {
-e '/LICENSE/d' \
-e "s|\$(install_doc_dir)/xsd|\$(install_doc_dir)/xsd-${PV}|" \
-e "s|\$(install_doc_dir)/libxsd|\$(install_doc_dir)/libxsd-${PV}|" \
- makefile || die "sed failed"
+ makefile libxsd/makefile || die "sed failed"
+
+ sed -i \
+ -e "s|\$(install_doc_dir)/xsd|\$(install_doc_dir)/xsd-${PV}/html|" \
+ documentation/makefile || die "sed failed"
+}
+
+use_yesno() {
+ use $1 && echo "y" || echo "n"
}
src_compile() {
@@ -43,9 +53,9 @@ src_compile() {
build/import/lib{boost,cult,backend-elements,xerces-c,xsd-frontend}
cat >> build/configuration-dynamic.make <<- EOF
-xsd_with_ace := n
+xsd_with_ace := $(use_yesno ace)
xsd_with_xdr := y
-xsd_with_dbxml := n
+xsd_with_dbxml := $(use_yesno dbxml)
xsd_with_boost_date_time := y
xsd_with_boost_serialization := y
EOF
@@ -94,6 +104,8 @@ libxsd_frontend_installed := y
src_install() {
emake install_prefix="${D}/usr" install || die "emake install failed"
+ dodoc NEWS README
+
if use examples; then
insinto /usr/share/doc/${PF}
doins -r examples
diff --git a/dev-cpp/xsd/xsd-3.2.0b1.ebuild b/dev-cpp/xsd/xsd-3.2.0b1.ebuild
deleted file mode 100644
index bce9afb..0000000
--- a/dev-cpp/xsd/xsd-3.2.0b1.ebuild
+++ /dev/null
@@ -1,97 +0,0 @@
-# Copyright 1999-2008 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-inherit toolchain-funcs eutils
-
-DESCRIPTION="An open-source, cross-platform W3C XML Schema to C++ data binding compiler."
-HOMEPAGE="http://www.codesynthesis.com/products/xsd/"
-SRC_URI="http://www.codesynthesis.com/download/${PN}/${PV%.+}/${P}.tar.bz2"
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64"
-IUSE="examples"
-
-RDEPEND=">=dev-libs/xerces-c-2.6
- dev-libs/boost
- >=dev-cpp/libcult-1.4.2
- >=dev-cpp/libxsd-frontend-1.15.0
- >=dev-cpp/libbackend-elements-1.6.1"
-DEPEND="${RDEPEND}
- dev-util/build"
-
-src_unpack() {
- unpack ${A}
- cd "${S}"
- epatch "${FILESDIR}/3.1.0-disable_examples_and_tests.patch"
-
- sed -i \
- -e '/GPLv2/d' \
- -e '/LICENSE/d' \
- -e "s|\$(install_doc_dir)/xsd|\$(install_doc_dir)/xsd-${PV}|" \
- -e "s|\$(install_doc_dir)/libxsd|\$(install_doc_dir)/libxsd-${PV}|" \
- makefile || die "sed failed"
-}
-
-src_compile() {
- mkdir -p \
- build/cxx/gnu \
- build/import/lib{boost,cult,backend-elements,xerces-c,xsd-frontend}
-
- cat >> build/configuration-dynamic.make <<- EOF
-xsd_with_ace := n
-xsd_with_xdr := y
-xsd_with_dbxml := n
-xsd_with_boost_date_time := y
-xsd_with_boost_serialization := y
- EOF
-
- cat >> build/cxx/configuration-dynamic.make <<- EOF
-cxx_id := gnu
-cxx_optimize := n
-cxx_debug := n
-cxx_rpath := n
-cxx_pp_extra_options :=
-cxx_extra_options := ${CXXFLAGS}
-cxx_ld_extra_options := ${LDFLAGS}
-cxx_extra_libs :=
-cxx_extra_lib_paths :=
- EOF
-
- cat >> build/cxx/gnu/configuration-dynamic.make <<- EOF
-cxx_gnu := $(tc-getCXX)
-cxx_gnu_libraries :=
-cxx_gnu_optimization_options :=
- EOF
-
- cat >> build/import/libcult/configuration-dynamic.make <<- EOF
-libcult_installed := true
- EOF
-
- cat >> build/import/libboost/configuration-dynamic.make <<- EOF
-libboost_installed := y
- EOF
-
- cat >> build/import/libbackend-elements/configuration-dynamic.make <<- EOF
-libbackend_elements_installed := true
- EOF
-
- cat >> build/import/libxerces-c/configuration-dynamic.make <<- EOF
-libxerces_c_installed := y
- EOF
-
- cat >> build/import/libxsd-frontend/configuration-dynamic.make <<- EOF
-libxsd_frontend_installed := true
- EOF
-
- emake || die "emake failed"
-}
-
-src_install() {
- emake install_prefix="${D}/usr" install || die "emake install failed"
-
- if use examples; then
- insinto /usr/share/doc/${PF}
- doins -r examples
- fi
-}